Create Person
curl --request POST \
--url https://tms.universal.rollout.com/api/people \
--header 'Content-Type: application/json' \
--data '
{
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"stage": "<string>",
"stageId": "<string>",
"assignedUserId": "<string>",
"assignedPondId": "<string>",
"officeId": "<string>",
"timeframeId": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"tags": [
"<string>"
],
"source": "<string>",
"systemSource": "<string>",
"averageBeds": 123,
"averagePrice": 123,
"birthday": "<string>",
"rating": 123,
"lastActivity": "<string>",
"lastActivityType": "<string>",
"contactTypes": [
"<string>"
],
"jobTitle": "<string>",
"companyName": "<string>",
"communicationsConsent": {
"email": true,
"call": true,
"text": true,
"massEmail": true,
"postal": true,
"visit": true
},
"sourceId": "<string>"
}
'import requests
url = "https://tms.universal.rollout.com/api/people"
payload = {
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"stage": "<string>",
"stageId": "<string>",
"assignedUserId": "<string>",
"assignedPondId": "<string>",
"officeId": "<string>",
"timeframeId": "<string>",
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": True
}
],
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"tags": ["<string>"],
"source": "<string>",
"systemSource": "<string>",
"averageBeds": 123,
"averagePrice": 123,
"birthday": "<string>",
"rating": 123,
"lastActivity": "<string>",
"lastActivityType": "<string>",
"contactTypes": ["<string>"],
"jobTitle": "<string>",
"companyName": "<string>",
"communicationsConsent": {
"email": True,
"call": True,
"text": True,
"massEmail": True,
"postal": True,
"visit": True
},
"sourceId": "<string>"
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
firstName: '<string>',
lastName: '<string>',
timezone: '<string>',
stage: '<string>',
stageId: '<string>',
assignedUserId: '<string>',
assignedPondId: '<string>',
officeId: '<string>',
timeframeId: '<string>',
emails: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
phones: [{value: '<string>', type: '<string>', status: '<string>', isPrimary: true}],
addresses: [
{
type: '<string>',
street: '<string>',
city: '<string>',
state: '<string>',
code: '<string>',
country: '<string>'
}
],
tags: ['<string>'],
source: '<string>',
systemSource: '<string>',
averageBeds: 123,
averagePrice: 123,
birthday: '<string>',
rating: 123,
lastActivity: '<string>',
lastActivityType: '<string>',
contactTypes: ['<string>'],
jobTitle: '<string>',
companyName: '<string>',
communicationsConsent: {
email: true,
call: true,
text: true,
massEmail: true,
postal: true,
visit: true
},
sourceId: '<string>'
})
};
fetch('https://tms.universal.rollout.com/api/people', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"assignedUserId": "<string>",
"assignedPondId": "<string>",
"officeId": "<string>",
"timeframeId": "<string>",
"stage": "<string>",
"stageId": "<string>",
"tags": [
"<string>"
],
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"source": "<string>",
"sourceId": "<string>",
"systemSource": "<string>",
"averageBeds": 123,
"averagePrice": 123,
"birthday": "<string>",
"lastActivity": "<string>",
"lastActivityType": "<string>",
"contactTypes": [
"<string>"
],
"jobTitle": "<string>",
"companyName": "<string>",
"communicationsConsent": {
"email": true,
"call": true,
"text": true,
"massEmail": true,
"postal": true,
"visit": true
}
}{
"id": "<string>",
"name": "<string>",
"firstName": "<string>",
"lastName": "<string>",
"timezone": "<string>",
"assignedUserId": "<string>",
"assignedPondId": "<string>",
"officeId": "<string>",
"timeframeId": "<string>",
"stage": "<string>",
"stageId": "<string>",
"tags": [
"<string>"
],
"originalIds": {},
"original": {},
"created": "<string>",
"updated": "<string>",
"rolloutUpdated": "<string>",
"addresses": [
{
"type": "<string>",
"street": "<string>",
"city": "<string>",
"state": "<string>",
"code": "<string>",
"country": "<string>"
}
],
"emails": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"phones": [
{
"value": "<string>",
"type": "<string>",
"status": "<string>",
"isPrimary": true
}
],
"source": "<string>",
"sourceId": "<string>",
"systemSource": "<string>",
"averageBeds": 123,
"averagePrice": 123,
"birthday": "<string>",
"lastActivity": "<string>",
"lastActivityType": "<string>",
"contactTypes": [
"<string>"
],
"jobTitle": "<string>",
"companyName": "<string>",
"communicationsConsent": {
"email": true,
"call": true,
"text": true,
"massEmail": true,
"postal": true,
"visit": true
}
}{
"errorMessage": "<string>"
}{
"errorMessage": "<string>"
}People
Create Person
POST /people
POST
/
people
Create Person
POST /people
Base URL: https://tms.universal.rollout.com/api
Parameters
No parameters.Responses
| Status | Description |
|---|---|
200 | OK |
201 | Created |
400 | Bad Request |
409 | Conflict |
OpenAPI Source
/openapi/tms.json POST /peopleBody
application/jsonmultipart/form-datatext/plain
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
⌘I